---
title: WebGLFramebuffer
slug: Web/API/WebGLFramebuffer
tags:
  - API
  - Reference
  - WebGL
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong>WebGLFramebuffer</strong> interface is part of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> and represents a collection of buffers that serve as a rendering destination.</p>

<h2 id="Description">Description</h2>

<p>The <code>WebGLFramebuffer</code> object does not define any methods or properties of its own and its content is not directly accessible. When working with <code>WebGLFramebuffer</code> objects, the following methods of the {{domxref("WebGLRenderingContext")}} are useful:</p>

<ul>
 <li>{{domxref("WebGLRenderingContext.bindFramebuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.createFramebuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.deleteFramebuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.isFramebuffer()")}}</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Creating_a_frame_buffer">Creating a frame buffer</h3>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');
var buffer = gl.createFramebuffer();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.5", "WebGLFramebuffer")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLFramebuffer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.bindFramebuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.createFramebuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.deleteFramebuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.isFramebuffer()")}}</li>
 <li>Other buffers: {{domxref("WebGLBuffer")}}, {{domxref("WebGLRenderbuffer")}}</li>
</ul>
